Bug 119499 - Cannot add/remove programs using system-config-packages because of an XML library error.
Cannot add/remove programs using system-config-packages because of an XML lib...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-30 17:41 EST by shane nuessler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-11 13:13:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shane nuessler 2004-03-30 17:41:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
[root@sts59105 root]# /usr/bin/system-config-packages
Traceback (most recent call last):
  File "/usr/share/system-config-packages/MainWindow.py", line 16, in ?
    import method
  File "/usr/share/system-config-packages/method.py", line 15, in ?
    import GroupSet
  File "/usr/share/system-config-packages/GroupSet.py", line 26, in ?
    import rhpl.comps
  File "/usr/lib/python2.3/site-packages/rhpl/comps.py", line 5, in ?
    import libxml2
  File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: undefined
symbol: xmlXIncludeProcessFlags


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run system-config-packages
2.
3.
    

Actual Results:  nothing.

Expected Results:  Should have been able to see the add/remove
packages GUI.

Additional info:

None really, it's a clean install on Test2.
Comment 1 shane nuessler 2004-03-30 18:18:13 EST
libxml2mod.so is in the libxml2-python-2.6.7-1.1.i386.rpm package.

Comment 2 Jeremy Katz 2004-03-30 18:51:31 EST
Do you have matching versions of libxml2 and libxml2-python installed?
 What's the output of ldd /usr/lib/python2.3/site-packages/libxml2mod.so?
Comment 3 shane nuessler 2004-03-30 18:53:04 EST
Thanks for your speedy response Jeremy.

ldd usr/lib/python2.3/site-packages/libxml2mod.so
        libxml2.so.2 => /usr/local/lib/libxml2.so.2 (0x006b6000)
        libc.so.6 => /lib/tls/libc.so.6 (0x00eca000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x00823000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00111000)
        libm.so.6 => /lib/tls/libm.so.6 (0x00122000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x00a89000)
Comment 4 shane nuessler 2004-03-30 18:54:42 EST
[root@sts59105 u4035491]# rpm -q libxml2
libxml2-2.6.8-1
[root@sts59105 u4035491]# rpm -q libxml2-python
libxml2-python-2.6.8-1
Comment 5 Jeremy Katz 2004-03-30 18:57:23 EST
Bingo, you have a locally installed copy of an older version of
libxml2 that's first in your library path.  Remove that and things
will be happier.
   libxml2.so.2 => /usr/local/lib/libxml2.so.2 (0x006b6000)
Comment 6 shane nuessler 2004-03-30 19:03:07 EST
Thanks Jeremy,

This machine was updated from Fedora Core 1, not sure if this will be
an issue for others.
Comment 7 shane nuessler 2004-04-01 19:55:42 EST
Hi Jeremy,

The symbolic link keeps re-appearing. It seems that whenever I run
up2date, it re-instates the link. So I have to keep deleting it.

Kind regards,
Shane.
Comment 8 Jeremy Katz 2004-04-11 13:13:33 EDT
You need to remove the actual older version of the library you have in
/usr/local/lib, not just the symlink.

Note You need to log in before you can comment on or make changes to this bug.